Page MenuHomePhabricator

Serve at least 50% of Mathoid via kubernetes
Closed, ResolvedPublic

Description

Part of operations Q3 2017-2018 goal is to serve 50% of Mathoid service via kubernetes. This is the very first service we are going to be serving via kubernetes so it will serve as a template for all other templates. This task is about tracking that work.

All Mathoid requests are essentially "internal", as in created by our infrastructure which does remove some variability from the work making it easier.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2018, 2:52 PM

Change 410489 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Prepare kubernetes nodes for serving mathoid traffic

https://gerrit.wikimedia.org/r/410489

Change 410964 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/deployment-charts@master] Add the helm chart for mathoid

https://gerrit.wikimedia.org/r/410964

Change 410964 merged by Alexandros Kosiaris:
[operations/deployment-charts@master] Add the helm chart for mathoid

https://gerrit.wikimedia.org/r/410964

Is there a link to see the chart?

Ok. I was just asking because I will be giving a talk on Math rendering in Wikipedia on Mar. 8th and it would be nice to have some usage statistics;-)
Some years ago there was https://grafana.wikimedia.org/dashboard/db/service-mathoid?orgId=1 but it looks quite empty at this moment.

Ah I think we had a small misunderstanding. By chart I meant the overloaded/abused by helm[1] term of https://en.wikipedia.org/wiki/Nautical_chart, whereas I guess you meant https://en.wikipedia.org/wiki/Chart.

Ok. I was just asking because I will be giving a talk on Math rendering in Wikipedia on Mar. 8th and it would be nice to have some usage statistics;-)
Some years ago there was https://grafana.wikimedia.org/dashboard/db/service-mathoid?orgId=1 but it looks quite empty at this moment.

You do raise a valid point. I 've updated that graph a bit to show the request rates. I am not sure how to get the latencies though. @mobrovac, any ideas ?

[1] https://helm.sh/

The latencies as witnessed by RESTBase clients are available on this panel, which include the Math end points as well. We actually do collect all the data for Mathoid itself and some of it is available on its dashboard, but it needs some love.

Change 415605 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/deployment-charts@master] Mathoid chart: Use port 10042

https://gerrit.wikimedia.org/r/415605

Change 415605 abandoned by Mobrovac:
Mathoid chart: Use port 10042

https://gerrit.wikimedia.org/r/415605

Change 416950 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Populate kubeconfigs on deployment server

https://gerrit.wikimedia.org/r/416950

Change 416950 merged by Alexandros Kosiaris:
[operations/puppet@production] Populate kubeconfigs on deployment server

https://gerrit.wikimedia.org/r/416950

Change 410489 merged by Alexandros Kosiaris:
[operations/puppet@production] Prepare kubernetes nodes for serving mathoid traffic

https://gerrit.wikimedia.org/r/410489

Mentioned in SAL (#wikimedia-operations) [2018-03-19T14:42:55Z] <akosiaris> T184919 pool all kubernetes for service mathoid.

Mentioned in SAL (#wikimedia-operations) [2018-03-26T11:16:57Z] <akosiaris> depool scb hosts for mathoid service. T184919

akosiaris closed this task as Resolved.Mar 26 2018, 2:16 PM
akosiaris claimed this task.

This has been achieved successfully and even surpassed the goal by achieving 100%. I 'll happily resolve this

TheDJ awarded a token.Mar 26 2018, 2:20 PM